- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Functions
Pwd.h functions
Evil

This header provides functions ported from Unix in dirent.h. More...

## Data Structures
struct | passwd
| A structure that describes a password. More...

## Functions
EAPI struct passwd * | getpwuid (uid_t uid)
| Return a passwd structure. More...

## Detailed Description

This header provides functions ported from Unix in dirent.h.

## Function Documentation

EAPI struct passwd* getpwuid | ( | uid_t | uid | ) |

Return a passwd structure.

Parameters

  uid | The User ID

Returns
  A stacally allocated passwd structure.

This function fills a static buffer passwd with `uid` and the user name.

Conformity: None.

Supported OS: Windows XP, CE.

References evil_homedir_get(), evil_wchar_to_char(), passwd::pw_change, passwd::pw_class, passwd::pw_dir, passwd::pw_expire, passwd::pw_fields, passwd::pw_gecos, passwd::pw_gid, passwd::pw_name, passwd::pw_passwd, passwd::pw_shell, and passwd::pw_uid.